PHP Manual
Prev |  | Next

# DOMDocument->schemaValidate()

(no version information, might be only in CVS)

DOMDocument->schemaValidate() -- Validates a document based on a schema

## Description

class DOMDocument {
bool schemaValidate ( string filename )
}

Validates a document based on the given schema file.

## Parameters

filename

  The path to the schema.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## See Also

DOMDocument->schemaValidateSource()
DOMDocument->relaxNGValidate()
DOMDocument->relaxNGValidateSource()
DOMDocument->validate()

Prev | Home | Next
DOMDocument->saveXML() | Up | DOMDocument->schemaValidateSource()